# InputMediaAudio - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InputMedia / InputMediaAudio

# InputMediaAudio

(common) `data class InputMediaAudio : InputMedia, DuratedInputMedia, ThumbedInputMedia, TitledInputMedia, CaptionedOutput, Performerable` (source)

### Constructors

(common)

#### <init>

`InputMediaAudio(file: InputFile, caption: String? = null, parseMode: ParseMode? = null, duration: Long? = null, performer: String? = null, title: String? = null, thumb: InputFile? = null)`

### Properties

(common)

#### caption

`val caption: String?`

(common)

#### duration

`val duration: Long?`

(common)

#### file

`val file: InputFile`

(common)

#### media

`val media: String`

(common)

#### parseMode

`val parseMode: ParseMode?`

(common)

#### performer

`val performer: String?`

(common)

#### thumb

`val thumb: InputFile?`

(common)

#### title

`val title: String?`

(common)

#### type

`val type: String`